Bug 83014 - TOOLBAR: Fixing Sifr large chart icon
Summary: TOOLBAR: Fixing Sifr large chart icon
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Papamatti
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Icon-Theme-Sifr
  Show dependency treegraph
 
Reported: 2014-08-24 14:59 UTC by Yousuf Philips (jay) (retired)
Modified: 2015-09-16 04:16 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
mockup - before and after (1.29 KB, image/png)
2014-08-24 14:59 UTC, Yousuf Philips (jay) (retired)
Details
sc_drawchart-7.png (469 bytes, image/png)
2014-08-27 21:05 UTC, Papamatti
Details
lc_drawchart-8.png (616 bytes, image/png)
2014-08-27 21:07 UTC, Papamatti
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-08-24 14:59:29 UTC
Created attachment 105201 [details]
mockup - before and after

With the Sifr icon set, the chart icon has 2 pixels spacing between the two sections of the pie chart and with this amount of space, the center point of the pie chart isnt correctly represented with the larger/darker section. So i'd like to suggest that the spacing be reduce to 1 pixel, so that it does more closely represent a pie chart.

Even more ideal would be that it had a third slice, but Sifr is a monochrome icon set, so thats not really possible. :D
Comment 1 Adolfo Jayme 2014-08-26 03:12:21 UTC
I don’t see how your change means “fixing” the icon, as you say.

In this case, two-pixel outlines are part of the GNOME Symbolic style (the basis of Sifr). See https://wiki.documentfoundation.org/Design/Whiteboards/Flat_icon_set#Guidelines, point 7.
Comment 2 Yousuf Philips (jay) (retired) 2014-08-26 03:30:11 UTC
(In reply to comment #1)
> I don’t see how your change means “fixing” the icon, as you say.

Maybe changing is the more appropriate word

> In this case, two-pixel outlines are part of the GNOME Symbolic style (the
> basis of Sifr). See
> https://wiki.documentfoundation.org/Design/Whiteboards/
> Flat_icon_set#Guidelines, point 7.

Here are icons in the current sifr set which have one-pixel outlines - paste, format painter, gallery, drawing functions, find & replace, insert image, freeform line.

If two-pixel outlines is still the way to go, then 1 pixel should be removed from the darker portion and 1 pixel from the lighter portion, rather than 2 pixels from the darker portion.

It would be nice if you would atleast allow me one response before closing my suggestions. :D
Comment 3 Adolfo Jayme 2014-08-26 05:50:42 UTC
> […] rather than 2 pixels from the darker portion.

Yeah, that sounds nice.
Comment 4 Adolfo Jayme 2014-08-27 14:51:24 UTC
(In reply to comment #2)
> before closing my suggestions

You are mistaken. It has had NOTHING to do with you.
Comment 5 Yousuf Philips (jay) (retired) 2014-08-27 14:53:12 UTC
(In reply to comment #4)
> You are mistaken. It has had NOTHING to do with you.

Didnt quite get what you meant.
Comment 6 Papamatti 2014-08-27 21:05:06 UTC
Created attachment 105355 [details]
sc_drawchart-7.png
Comment 7 Papamatti 2014-08-27 21:07:05 UTC
A little misunderstanding.

Point 7 describes a 2 pixel spacing to the boundaries of the icon. This has nothing to do with the drawing inside, it is simple a 2px frame around the icon. ;-)

What are you thinking about a cake with the pie without this unnecessary white line between them?

See the two icons, which I'm uploaded.
Comment 8 Papamatti 2014-08-27 21:07:44 UTC
Created attachment 105356 [details]
lc_drawchart-8.png
Comment 9 Yousuf Philips (jay) (retired) 2014-08-28 01:16:58 UTC
Thanks Matthias for looking into this, but most icons have white 2-pixel spacing going through them and i think its best to stay with that theme.

Also as there are only two pieces in the pie chart, i think a 90 degree small piece might be easier to understand.
Comment 10 tommy27 2014-12-14 13:48:08 UTC
just curious to have an update of the status of this report.
is the change of that icon still under consideration or not?
Comment 11 tommy27 2015-03-07 09:23:56 UTC
I set status to NEEDINFO
please give an update of the bug status
Comment 12 Yousuf Philips (jay) (retired) 2015-09-16 04:16:35 UTC
Matthias has already fixed this in bug 75256.